SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



SET ECHO OFF; -- noqa: PRS



-- SQL CODE HERE



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- SQL CODE HERE



-- Fix contratto CMP Officine (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=11662)

-- NB: già riportato in prima installazione

UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET IMPORTO = '1883.070000' WHERE IDCONTRATTODETTAGLIO = '33' AND IDLIVELLO = '5' AND IDVOCE = '5' AND VALIDODAL = '01.06.2022';

COMMIT WORK; -- skip error



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM) VALUES ('9522', '95', '1', '0', NULL, NULL, NULL, 'Una tantum art. 31 c. 1 D.L. 17 maggio 2022 n. 50', 'Una tantum art.31 c.1 D.L.17 05/22 n.50', NULL, NULL, '0', '0.000000', NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, '0');

COMMIT WORK; -- skip error



-- Variazione chiave primaria tabella Dmag_DatoRetrib

ALTER TABLE DMAG_DATORETRIB DROP CONSTRAINT pk_Dmag_DatoRetrib;

COMMIT WORK;

ALTER TABLE DMAG_DATORETRIB ADD IdDmagDatoRetrib Smallint NOT NULL;

COMMIT WORK;

UPDATE DMAG_DATORETRIB SET IdDmagDatoRetrib = 1 WHERE (IdDmagDatoRetrib IS NULL OR IdDmagDatoRetrib = 0);

COMMIT WORK;

ALTER TABLE DMAG_DATORETRIB ADD CONSTRAINT pk_Dmag_DatoRetrib PRIMARY KEY (IdDichiarazione, IdImpresa, IdLavoratore, IdDmagDatoRetrib);

COMMIT WORK;



-- END Variazione chiave primaria tabella Dmag_DatoRetrib



-- Uniemens 4.16



ALTER TABLE Pa_GestPensionistica ADD RecuperoSgravi1Mese Smallint;

COMMIT WORK; -- skip error



ALTER TABLE Pa_GestPensionistica ADD RecuperoSgravi2Mese Smallint;

COMMIT WORK; -- skip error



ALTER TABLE Dr_CausaleContribAgg ADD Base Currency;

COMMIT WORK;



CREATE TABLE TipoIdentMotivoUtilizzo (

    IdTipoIdentMotivoUtilizzo Varchar(30) NOT NULL,

    Descrizione Note,

    CONSTRAINT pk_TipoIdentMotivoUtilizzo PRIMARY KEY (IdTipoIdentMotivoUtilizzo)

);

COMMIT WORK;



ALTER TABLE Dr_CausaleContribAgg ADD IdTipoIdentMotivoUtilizzo Varchar(30);

COMMIT WORK;

ALTER TABLE Dr_CausaleContribAgg ADD CONSTRAINT Relationship1432 FOREIGN KEY (IdTipoIdentMotivoUtilizzo) REFERENCES TipoIdentMotivoUtilizzo (IdTipoIdentMotivoUtilizzo); -- ON UPDATE NO ACTION ON DELETE NO ACTION;

COMMIT WORK;



INSERT INTO TipoIdentMotivoUtilizzo (IdTipoIdentMotivoUtilizzo, Descrizione) VALUES ('CF_PERS_FIS', 'Codice fiscale di persona fisica (utilizzabile laddove espressamente indicato in messaggi o circolari)');

INSERT INTO TipoIdentMotivoUtilizzo (IdTipoIdentMotivoUtilizzo, Descrizione) VALUES ('TICKET_CIG_FONDI', 'Ticket CIG/Fondi (utilizzabile laddove espressamente indicato in messaggi o circolari)');

COMMIT WORK;



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE) VALUES ('L031', 'Recupero indennità una tantum articolo 31 comma 1 decreto-legge 17 maggio 2022, n. 50. Messaggio n. 2505 del 21/06/2022');

COMMIT WORK; -- skip error

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE) VALUES ('TURI', 'Esonero contributivo articolo 4, comma 2, del decreto-legge n. 4/2022. Circ. n. 67/2022');

COMMIT WORK; -- skip error



INSERT INTO DR_CAUSALEADEBITO (IDCAUSALEADEBITO, DESCRIZIONE) VALUES ('M220', 'Versamento differenziale di contribuzione di malattia. Utilizzabile a seguito di pubblicazione di relativo messaggio.');

COMMIT WORK;



INSERT INTO DA_TIPOCONTRIBASSIST (IDTIPOCONTRIBASSIST, DESCRIZIONE) VALUES ('W473', 'Ass. Contr. Fenaipa Italia (FENAIPA ITALIA). Utilizzabile a seguito di pubblicazione della relativa circolare.');

INSERT INTO DA_TIPOCONTRIBASSIST (IDTIPOCONTRIBASSIST, DESCRIZIONE) VALUES ('W474', 'Ass. Contr. Federazione Autotrasportatori Italiani (F.A.I.). Circ. n. 71/2022.');

COMMIT WORK;



INSERT INTO DA_CAUSALEACREDITO (IDCAUSALEACREDITO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('N979', 'Sospensione contributiva federazioni sportive nazionali, enti di promozione sportiva e le associazioni e società sportive professionistiche e dilettantistiche. Legge n.234/2021 art. 1 comma 923 e Decreto legge n.17/2022 art. 7 comma 3 bis. Circ. n. 64/2022.', NULL, NULL);

COMMIT WORK;



INSERT INTO CONGCIGSALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L091', 'Conguaglio CIGS articolo 22 – ter del D.lgs. n. 148/2015. Messaggio n. 2423/2022.');

COMMIT WORK;



INSERT INTO CONGCIGSCAUSADD (IDCAUSALE, DESCRIZIONE) VALUES ('E609', 'Ctr. addizionale CIG straordinaria D.Lgs. n. 148/2015 art.22 ter. Messaggio n. 2423/2022');

COMMIT WORK;



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('32', 'Esonero contributivo articolo 4, comma 2, del decreto-legge n. 4/2022- Tempo Determinato – Circolare n. 67 del 10/06/2022');

COMMIT WORK; -- skip error

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('33', 'Esonero contributivo articolo 4, comma 2, del decreto-legge n. 4/2022- Trasformazione Tempo Indeterminato – Circolare n. 67 del 10/06/2022');

COMMIT WORK; -- skip error

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('35', 'Recupero indennità una tantum articolo 31 comma 1 decreto-legge 17 maggio 2022, n. 50 – Messaggio n. 2505 del 21/06/2022');

COMMIT WORK; -- skip error



UPDATE PA_TIPOMAGGIORAZIONE SET DESCRIZIONE = 'Servizio prestato a bordo di navi in armamento o in riserva – D.P.R. 1092/73, art. 19, comma 1 (1/3)' WHERE IDTIPOMAGGIORAZIONE = '66';

UPDATE PA_TIPOMAGGIORAZIONE SET DESCRIZIONE = 'Non utilizzabile. Utilizzare il codice 29 per indicare il Servizio a bordo di navi militari.' WHERE IDTIPOMAGGIORAZIONE = '67';

UPDATE PA_TIPOMAGGIORAZIONE SET DESCRIZIONE = 'Non utilizzabile. Utilizzare il codice 66 per indicare il Servizio prestato a bordo di navi in armamento o in riserva.' WHERE IDTIPOMAGGIORAZIONE = '68';

COMMIT WORK;



INSERT INTO INPS_CALAMITA (IDINPSCALAMITA, DESCRIZIONE, DATASCADENZA) VALUES ('38', 'Sospensione contributiva per federazioni sportive nazionali, enti di promozione sportiva, associazioni e società sportive professionistiche e dilettantistiche nell’ambito di competizioni sportive DPCM 24 ottobre 2020. Legge n.234/2021 art. 1 comma 923 e Decreto legge n.17/2022 art. 7 comma 3 bis. Circ. n. 64/2022.', NULL);

COMMIT WORK;



INSERT INTO DMAG_TIPORETRIBUZIONE1 (IDTIPORETRIBUZIONE1, DESCRIZIONE) VALUES ('9', 'Recupero indennità una tantum articolo 31 comma 1 decreto-legge 17 maggio 2022, n. 50 – Messaggio n. 2505 del 21/06/2022.');

COMMIT WORK; -- skip error



-- END Uniemens 4.16



-- Aggiornamento dettaglio 220

---- Richiesto da Fausto Dester (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=11855)

UPDATE CONTRATTODETTAGLIO SET ULTIMAMODIFICA = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220';

COMMIT WORK;



UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '1.5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '2.5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '3.5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '4.5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '5.5';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Paga oraria', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 1 scatto', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6.1';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 2 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6.2';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 3 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6.3';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 4 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6.4';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Totale 5 scatti', DATAAGGIORNAMENTO = '01.06.2022' WHERE IDCONTRATTODETTAGLIO = '220' AND IDLIVELLO = '6.5';

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1', '5', '01.06.2022', '9.978000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1.1', '5', '01.06.2022', '10.054000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1.2', '5', '01.06.2022', '10.130000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1.3', '5', '01.06.2022', '10.206000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1.4', '5', '01.06.2022', '10.282000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '1.5', '5', '01.06.2022', '10.358000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2', '5', '01.06.2022', '9.611000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2.1', '5', '01.06.2022', '9.686000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2.2', '5', '01.06.2022', '9.761000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2.3', '5', '01.06.2022', '9.836000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2.4', '5', '01.06.2022', '9.911000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '2.5', '5', '01.06.2022', '9.986000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3', '5', '01.06.2022', '9.425000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3.1', '5', '01.06.2022', '9.499000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3.2', '5', '01.06.2022', '9.573000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3.3', '5', '01.06.2022', '9.647000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3.4', '5', '01.06.2022', '9.721000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '3.5', '5', '01.06.2022', '9.795000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4', '5', '01.06.2022', '9.266000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4.1', '5', '01.06.2022', '9.337000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4.2', '5', '01.06.2022', '9.408000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4.3', '5', '01.06.2022', '9.479000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4.4', '5', '01.06.2022', '9.550000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '4.5', '5', '01.06.2022', '9.621000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5', '5', '01.06.2022', '8.770000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5.1', '5', '01.06.2022', '8.838000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5.2', '5', '01.06.2022', '8.906000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5.3', '5', '01.06.2022', '8.974000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5.4', '5', '01.06.2022', '9.042000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '5.5', '5', '01.06.2022', '9.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6', '5', '01.06.2022', '7.974000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6.1', '5', '01.06.2022', '8.033000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6.2', '5', '01.06.2022', '8.092000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6.3', '5', '01.06.2022', '8.151000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6.4', '5', '01.06.2022', '8.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO, CUSTOM) VALUES ('220', '6.5', '5', '01.06.2022', '8.269000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2022', '0');

COMMIT WORK;



-- END Aggiornamento dettaglio 220



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PRESENZE                              ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS





SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/presenze.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- SQL CODE HERE



COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS
